import request from '@/utils/request';

/**
 * 查询犬证列表
 * @param {*} params
 * @returns
 */
 export const getCardList = (params) => request('/card', { params });

 /**
 * 查询犬证详情
 * @param {*} params
 * @returns
 */
export const getCardDetail = (id) => request(`/card/${id}`);

/**
 * 查询制卡列表
 * @param {*} params
 * @returns
 */
 export const getCardNoList = (params) => request('/cardNo', { params });

 /**
 * 批量制卡
 * @param {*} data
 * @returns
 */
export const addCarNoBatch = (data) => request('/carNo/batch', { method: 'post', data });
