/**
 * @see https://umijs.org/zh-CN/plugins/plugin-access
 * */
export default function access(initialState) {
  const { currentUser } = initialState || {};
  const { roleName } = currentUser || {};
  if (roleName == 'maker') {
    return {
      admin: false,
      maker: true,
      auditor: false,
    };
  } else if (roleName == 'auditor') {
    return {
      admin: false,
      maker: false,
      auditor: true,
    };
  } else if (roleName == 'admin') {
    return {
      admin: true,
      maker: true,
      auditor: true,
    };
  }
  return {};
}
